# AppImage Builder

### Иерархия исходного пакета

```
<packages>/my_package
├── build.sh
├── files
│   ├── AppRun
│   ├── my_program.desktop
│   └── my_program.png
└── sources
```

### Обязательные файлы для сборки:

- `sources` - файл с ссылками на пакеты + зависимости для сборки AppImage
- `files/*` - файлы для запуска AppImage (`AppRun`, `*.desktop`, `*.png`)

### Необязательный файл

- `build.sh` - скрипт постобработки после распаковки `sources` файлов

Для внутреннего `build.sh` доступны 2 глобальгые переменные для работы:

- `current_path` - текущая директория пакета
- `app_path` - временная директория сборки пакета (иерархия будущего AppImage)
